/*
 * Copyright 2009 The Microlog project @sourceforge.net
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.microlog.midp.example.b.c;

import net.sf.microlog.core.Logger;
import net.sf.microlog.core.LoggerFactory;

/**
 * A class that works as an example of using logger hierarchies in Microlog.
 * 
 * @author Johan Karlsson
 * 
 */
public class Bick {
	
	public static final Logger log = LoggerFactory.getLogger(Bick.class);
	
	public void bar(){
		log.warn("This is kind of stupid. Is this a joke?");
	}
}
